Bug 5335 - С завидным постоянством падает по ночам на GeForce4mx440
: С завидным постоянством падает по ночам на GeForce4mx440
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xorg-x11-server)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-15 13:15 by
Modified: 2005-09-04 22:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-15 13:15:01
Прихожу с утра - заставка логина. И так уже второй раз.

в логах нашел:


   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
         at https://bugzilla.altlinux.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional
informati
on.
------- Comment #1 From 2004-10-15 13:31:49 -------
Да, совсем забыл написать:

$ rpm -qa |grep xorg
xorg-x11-server-common-6.8.1-alt7
xorg-x11-locales-6.8.1-alt7
xorg-x11-server-6.8.1-alt7
xorg-server-control-1.1-alt1
xorg-x11-devel-6.8.1-alt7
xorg-x11-xdm-6.8.1-alt7
xorg-x11-xfs-6.8.1-alt7
xorg-x11-100dpi-fonts-unicode-6.8.1-alt7
xorg-x11-6.8.1-alt7
xorg-x11-xauth-6.8.1-alt7
xorg-x11-75dpi-fonts-6.8.1-alt7
xorg-x11-utils-6.8.1-alt7
xorg-x11-75dpi-fonts-unicode-6.8.1-alt7
xorg-x11-bitmaps-6.8.1-alt7
xorg-x11-libs-6.8.1-alt7
xorg-x11-100dpi-fonts-6.8.1-alt7

$ rpm -qa |grep std26
kernel-modules-nvidia-std26-up-1.0.6111-alt1.9
kernel-doc-std26-2.6.8-alt9
kernel-headers-std26-up-2.6.8-alt9
kernel-image-std26-up-2.6.8-alt9
kernel-modules-lufs-std26-up-0.9.7captive8-alt4.9
kernel-headers-modules-std26-up-2.6.8-alt9
kernel-modules-subfs-std26-up-0.9-alt3.9

$ cat /etc/altlinux-release 
ALT Linux Sisyphus (20041008)
------- Comment #2 From 2004-10-15 14:16:08 -------
на XFree86 такое наблюдалось? 
------- Comment #3 From 2004-10-15 16:37:11 -------
(In reply to comment #2)
> на XFree86 такое наблюдалось? 

Нет, XFree86 работал неделями. Под тем же ядром и тем же модулем NVidia.

К тому же из замеченного xscreensaver ставит лок независимо от того есть
активность или нет. Раньше такого не было. Пришлось его отключить.
------- Comment #4 From 2004-10-18 11:09:24 -------
Сегодня опять с утра логин. X сервер вырубился в пятницу, в 21:26, примерно
через  час после блокирования экрана. 
------- Comment #5 From 2004-10-18 14:35:06 -------
Обновил сегодня сизиф. все равно падает. 

Опытным путем установил, что падает при активации xscreensaver. Попробую
отключить в нем управление питанием.
------- Comment #6 From 2004-10-18 14:48:28 -------
То же самое воспроизводится и на ATI Radeon Mobility 7500.
Иксы падают через некоторе время после активации xscreensaver'а.
------- Comment #7 From 2004-10-18 20:00:54 -------
Сегодня xscreensaver выдал ошибку/ После этого больше не запускается

##############################################################################

xscreensaver: 19:57:44: X Error!  PLEASE REPORT THIS BUG.
xscreensaver: 19:57:44: screen 0/0: 0x8e, 0x0, 0x1e00001

##############################################################################

X Error of failed request:  BadValue (integer parameter out of range for
operati
on)
  Major opcode of failed request:  107 (X_SetScreenSaver)
  Value in failed request:  0xffffa8c0
  Serial number of failed request:  296
  Current serial number in output stream:  297
------- Comment #8 From 2004-10-18 22:25:22 -------
так что же все таки не работает - xorg или xscreensaver?
------- Comment #9 From 2004-10-19 10:34:08 -------
Очевидно, что xorg. Не должен сервер падать при падении клиента.
------- Comment #10 From 2004-11-05 16:01:32 -------
Последнее время не падает (3 дня, с тех пор как я снова смог запустить
xscreensaver).  
------- Comment #11 From 2004-11-05 16:06:46 -------
версия xorg-x11-server какая? в любом случае fixed
------- Comment #12 From 2004-11-09 12:20:14 -------
$ rpm -qa | grep xorg-x11-se
xorg-x11-server-6.8.1-alt11
xorg-x11-server-common-6.8.1-alt11